Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 895188

Summary: remove python-imaging from flumotion deps
Product: [Fedora] Fedora Reporter: Toshio Ernie Kuratomi <a.badger>
Component: flumotionAssignee: Sergio Basto <sergio>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: jeff, sergio, thomas
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-22 11:37:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Toshio Ernie Kuratomi 2013-01-14 18:58:31 UTC
Description of problem:

When flumotion was updated from 0.8.x to 0.10.x it looks like it no longer needed the dependency on python-imaging (PIL) as the code switched to using pycairo.  The rpm spec file wasn't updated to lose the python-imaging dep, however.  All that's needed is to remove the Requires: python-imaging line from the spec (pycairo is a dependency of pygtk which is already Required by flumotion).

Comment 1 Fedora End Of Life 2013-04-03 17:52:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora End Of Life 2015-01-09 17:34:51 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-17 14:40:15 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Update System 2015-05-10 17:45:49 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc22

Comment 5 Fedora Update System 2015-05-10 17:46:36 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc21

Comment 6 Fedora Update System 2015-05-10 17:47:28 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc20

Comment 7 Fedora Update System 2015-05-12 20:37:52 UTC
Package flumotion-0.11.0.1-2.20140103git886031a.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flumotion-0.11.0.1-2.20140103git886031a.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8019/flumotion-0.11.0.1-2.20140103git886031a.fc21
then log in and leave karma (feedback).

Comment 8 Jan Kurik 2015-12-22 11:32:38 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.